<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>




<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<%

String version_Str  = (String)request.getAttribute("versionStr");
String serial_Num   = (String)request.getAttribute("serialNum");
String company_Name = (String)request.getAttribute("companyName");
String expiry_Date  = (String)request.getAttribute("expiryDate");
String supportPurchased = (String)request.getAttribute("supportPurchased");
String supportExpirationDate = (String)request.getAttribute("supportExpirationDate");
List<CostBean> costBeans = (List) request.getAttribute("costBeans");
%>

<!-- 
LAD: <%= request.getAttribute("lad") %>
 -->
<br>


<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger">
		<h4>Error</h4><%=errorMsg %>
	</div>
	<%
}

String infoMsg = (String) request.getAttribute("infoMsg");
if(infoMsg != null){
	%>
	<div class="alert alert-success">
		<%=infoMsg %>
	</div>
	<%
}



%>


<div class="row">
	<div class="col-md-7">

		<%@ include file="LicenseWarning.jsp" %>
		<div class="well-info-wrap">
			<div class="well-info-header">About <%= productName %></div>
			<div class="well-info-body">
				<h3 class="text-center"><%=version_Str%></h3>
				<div class="table-responsive">
					<table class="table table-striped table-condensed table-bordered">
						<tr>
							<td><b>Serial Number:</b></td>
							<td><%=serial_Num %> 
								<span class="pull-right">
								
								<%
								if(request.getAttribute("showModifyLink") != null && request.getAttribute("showModifyLink").equals("true")){
									%>
									<a href="<%=response.encodeURL("FrontController?operation=manreg") %>" title="Click here to modify your serial number"><i class="glyphicon glyphicon-pencil"></i> Modify</a>
									<%
								}
								if( request.getAttribute("showSyncLink") != null && request.getAttribute("showSyncLink").equals("true")){
									%>
									| <a href="<%=response.encodeURL("FrontController?operation=manreg&st=sync") %>" title="Click here to synchronize registration with clustered slaves"><i class="glyphicon glyphicon-repeat"></i> Synchronize</a>
									<%
								}
								%>
								</span>
							</td>
						</tr>
						
						
						<%
						if(request.getAttribute("tusf") != null){
							
							
							String title = "Purchase Now";
							String purchaseCaption = request.getAttribute("purchaseCaption") == null ? "Purchase" : (String) request.getAttribute("purchaseCaption");
							String caption = "";
							String expStr = "";
							if(request.getAttribute("bt").equals("1")){
								caption = "Upgrade";
								title = "Upgrade to Professional Edition";
								if(request.getAttribute("texpd") != null){
									expStr = " - Trial expires on " + request.getAttribute("texpd");
								}
								
							}else if(request.getAttribute("bt").equals("2")){
								caption = "Renew Now";
								title = "Renew Contract for 1 year";
							}else if(request.getAttribute("bt").equals("3")){
								caption = "Add Users";
								caption = request.getAttribute("purchaseCaption") == null ? "Add Users" : (String) request.getAttribute("purchaseCaption"); //NewBuy Line
								title = "Purchase additional user licenses";
							}
							
							
							%>
							<tr>
								<td><b>Company Name:</b></td>
								<td><%=request.getAttribute("comn") %> </td>
							</tr>
							
							<tr>
								<td><b>Active User Count:</b></td>
								<td>
								<%
								if(request.getAttribute("forSuppOnly") != null){
									%>
									Platinum Support For CE
									<%
								}else{
								%>
									<%=request.getAttribute("tusf") %> of <%=request.getAttribute("puc") %> 
								<%} %>
								
								<span class="pull-right"><a href="<%=response.encodeURL("FrontController?operation=224") %>" title="Click to see the actual email addresses"><i class="glyphicon glyphicon-th-list"></i> Show List</a> | 
								    
								    <%
								    if(request.getAttribute("bufd").equals("true")){
								    %>
								    <a href="<%=response.encodeURL("FrontController?operation=225") %>" target="_blank" title="Users who want filtering"><i class="glyphicon glyphicon-new-window"></i> Filtered Users</a> |
									
								    <%}
								    else{
									%>
									<a href="<%=response.encodeURL("FrontController?operation=225") %>" target="_blank" title="Users who do not want filtering"><i class="glyphicon glyphicon-new-window"></i> Bypassed Users</a> |
									
									<%	
									}%>
									
									<a href="http://www.xeams.com/user-license.htm" target="_blank"><i class="glyphicon glyphicon-question-sign"></i> Help</a></span></td>
							</tr>
							<tr>
								<td><b>Expiration Date:</b></td>
								<td><%=request.getAttribute("expd") %> <%=expStr %>
								
								<%
								if(request.getAttribute("bt") != null && request.getAttribute("bt").equals("1")){
									%>
									<span class="pull-right"><a href="http://www.xeams.com/Why-Trial.htm" target="_blank" title="Click to learn why is your Xeams running in Trial mode"><i class="glyphicon glyphicon-pushpin"></i> Why Trial?</a></span>
									
									<%
								}
								%>
								</td>
							</tr>
							<tr>
								<td>
								
								</td>
								<td>
								<% 
								if(request.getAttribute("bt").equals("2")){
									if(request.getAttribute("pinvalid") == null){
									%>
									
									<div class="row">
										<div class="col-md-4">
											<a href="<%=response.encodeURL("FrontController?operation=buy") %>"><button class="btn btn-submit" title="Purchase"><%=purchaseCaption %></button></a>
										</div>
										<div class="col-md-6">
											<form action="<%=request.getAttribute("purl") %>" method="Post">	
												<%
												for(int i = 0; i < costBeans.size(); i++){
													CostBean oneBean = costBeans.get(i);
													%>
													<input type="hidden" name="<%=oneBean.getCompleteId() %>" value="<%= oneBean.getDefaultValue() %>">	
													<%
												}
												%>
												
												
												<INPUT type="submit" class="btn btn-submit" name="proceedButton" id="proceedButton"  title="<%= title %>" value="<%=caption %>" />
												<input type="hidden" name="iq4x" value="<%=request.getAttribute("iq4x") %>" >
												<input type="hidden" name="sn4x" value="<%=request.getAttribute("sn4x")  %>" >
												<input type="hidden" name="f2" value="<%=request.getAttribute("f2") %>" >
												<input type="hidden" name="rw4x" value="1">
											</form>
										</div>
									</div>
									
									<%
									}else{
										%>
										
										<div class="row">
											<div class="col-md-4">
												<a href="<%=response.encodeURL("FrontController?operation=buy") %>"><button class="btn btn-submit" title="Purchase">Purchase</button></a>
										    </div>
											<div class="col-md-6">
												<form action="http://web.synametrics.com/XeamsPurchase.htm" method="Post">	
													<INPUT type="submit" class="btn btn-submit" name="proceedButton" id="proceedButton"  <%= title %> value="<%=caption %>" />
													<input type="hidden" name="iq4x" value="<%=request.getAttribute("iq4x") %>" >
													<input type="hidden" name="sn4x" value="<%=request.getAttribute("sn4x")  %>" >
													<input type="hidden" name="f2" value="<%=request.getAttribute("f2") %>" >
												</form>
											</div>
										</div>
									
										
										<%
									}
								}else{
									%>
									<a href="<%=response.encodeURL("FrontController?operation=buy") %>"><button class="btn btn-submit" <%= title %>><%=caption %></button></a>
									<%
								}
								%>
								
								<%
								String autoRenewStr = (String) request.getAttribute("autoRenewStr");
								if(autoRenewStr != null){
									
									%>
									<span class="pull-right">Auto Renew: 
									<%
									if(autoRenewStr.equals("1")){
										String renewalTitle = (String) request.getAttribute("nextRenewalDate");
										
										if(renewalTitle == null || renewalTitle.trim().length() == 0){
											renewalTitle = "";
										}else if(renewalTitle.equalsIgnoreCase("now")){
											renewalTitle = "Your subscription is up for renewal. Ensure you have correct payment information saved.";
										}else{
											renewalTitle = "You subscription will automatically renew around " + renewalTitle;
										}
											
										%>
										<span style="color:#009900;"> <acronym title="<%=renewalTitle%>">Enabled <i class="glyphicon glyphicon-ok"></i></acronym></span>
										<%
									}else{
										%>
										<span style="color:#990000;"> <acronym title="You will have to manually renew subscription before it expires."> Disabled <i class="glyphicon glyphicon-remove"></i> </acronym></span>
										<%
									}
									%>
									&nbsp;&nbsp;&nbsp;
									<a href="<%=response.encodeURL("FrontController?operation=togar") %>" title="Toggle Auto Renewal"><i class="glyphicon glyphicon-pencil"></i></a>
									</span>
									<% 
								}else{
									if(request.getAttribute("sspbce") != null && request.getAttribute("sspbce").equals("true")){
										%>
										<span class="pull-right"><a class="btn btn-warning" href="<%=response.encodeURL("FrontController?operation=buy&st=addsupp") %>" title="Purchase support for Xeams Community Edition">Purchase Support</a> </span>
										<%
									}
								}
								
								
								%>
								
								
								</td>
							</tr>
							<%
						}else{
							%>
							<tr>
								<td><b>Support Purchased:</b></td>
								<td><%=supportPurchased %></td>
							</tr>
							<tr>
								<td><b>Support Expiration Date:</b></td>
								<td><%=supportExpirationDate %></td>
							</tr>
							<%
						}
						%>
					</table>
				</div>
				<div class="text-center">
					&copy; Copyright <%= companyName %> All rights reserved.<br>
					<a href="http://www.<%= domainName %>"> http://www.<%= domainName %> </a> |
					<a href="http://www.synametrics.com">http://www.synametrics.com</a>
					
				</div><br>
			</div>
		</div>
		<br>
	</div>
	
	<div class="col-md-5">
		
		
		<center>
			<a href="http://xeams.com"><img src="images/AboutXeams.png" class="img-responsive" styleXX="width:500px"></a>
			<h3>
				Need Help? &nbsp; &nbsp;
				<A href="<%= response.encodeURL("FrontController?operation=166") %>" class="btn btn-md btn-menu" title="Contact Support via Email">Click Here</A>
			</h3>
		</center>
	</div>
	
	<br style="clear:both;">
	<div class="col-md-12">
		<div class="well-info-wrap">
		<%@ include file="DisplayEnv.jsp" %>
		</div>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
